build: false
shallow_clone: true
platform: x86
clone_folder: c:\projects\willdurand\negotiation

cache:
  - '%LOCALAPPDATA%\Composer\files'

init:
  - SET PATH=C:\Program Files\OpenSSL;c:\tools\php;c:\tools\php71;%PATH%

install:
  - ps: Set-Service wuauserv -StartupType Manual
  - cinst -y OpenSSL.Light
  - cinst -y php
  - cd c:\tools\php71
  - copy php.ini-production php.ini /Y
  - echo date.timezone="UTC" >> php.ini
  - echo extension_dir=ext >> php.ini
  - echo extension=php_openssl.dll >> php.ini
  - echo extension=php_mbstring.dll >> php.ini
  - echo extension=php_fileinfo.dll >> php.ini
  - echo memory_limit=1G >> php.ini
  - cd c:\projects\willdurand\negotiation
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar update --no-interaction --no-progress

test_script:
  - cd c:\projects\willdurand\negotiation
  - vendor\bin\phpunit.bat --verbose
